Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in icoutils
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in icoutils
ID: openSUSE-SU-2017:0166-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.1
Datum: Di, 17. Januar 2017, 07:05
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5208
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5333
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5332
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5331

Originalnachricht

   openSUSE Security Update: Security update for icoutils
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0166-1
Rating: important
References: #1018756
Cross-References: CVE-2017-5208 CVE-2017-5331 CVE-2017-5332
CVE-2017-5333
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


This update for icoutils to version 0.31.1 fixes the following issues:

- CVE-2017-5208: An integer overflow allows maliciously crafted files to
cause DoS or code execution (boo#1018756).
- CVE-2017-5331: Incorrect out of bounds checks in check_offset allow for
DoS or code execution (boo#1018756).
- CVE-2017-5332: Missing out of bounds checks in
extract_group_icon_cursor_resource allow for DoS or code execution
(boo#1018756).
- CVE-2017-5333: Incorrect out of bounds checks in check_offset allow for
DoS or code execution (boo#1018756).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-104=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

icoutils-0.31.1-7.1
icoutils-debuginfo-0.31.1-7.1
icoutils-debugsource-0.31.1-7.1


References:

https://www.suse.com/security/cve/CVE-2017-5208.html
https://www.suse.com/security/cve/CVE-2017-5331.html
https://www.suse.com/security/cve/CVE-2017-5332.html
https://www.suse.com/security/cve/CVE-2017-5333.html
https://bugzilla.suse.com/1018756

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung